Loading...
Searching...
No Matches
{hp,sp}r: Hermitian/symmetric rank-1 update
BLAS » Level 2 BLAS: matrix-vector ops
Collaboration diagram for {hp,sp}r: Hermitian/symmetric rank-1 update:

## Functions

subroutine | chpr (uplo, n, alpha, x, incx, ap)
| CHPR
subroutine | dspr (uplo, n, alpha, x, incx, ap)
| DSPR
subroutine | sspr (uplo, n, alpha, x, incx, ap)
| SSPR
subroutine | zhpr (uplo, n, alpha, x, incx, ap)
| ZHPR
subroutine | cspr (uplo, n, alpha, x, incx, ap)
| CSPR performs the symmetrical rank-1 update of a complex symmetric packed matrix.
subroutine | zspr (uplo, n, alpha, x, incx, ap)
| ZSPR performs the symmetrical rank-1 update of a complex symmetric packed matrix.

## Detailed Description